%define _libexecdir %_prefix/libexec/DeviceKit

Name: DeviceKit
Version: 003
Release: alt1
Summary: Device Enumeration Framework
License: GPLv2+/LGPLv2+
Group: System/Libraries
URL: http://cgit.freedesktop.org/DeviceKit/DeviceKit/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: dbus udev => 130
Requires: libdevkit = %version-%release

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: gcc-c++ gtk-doc libdbus-glib-devel libudev-devel

%description 
DeviceKit is a framework for enumerating devices.

%package -n libdevkit
Summary: DeviceKit libraries
Group: System/Libraries

%description -n libdevkit
Libraries for DeviceKit

%package -n libdevkit-devel
Summary: Development libraries and headers for DeviceKit
Group: Development/C++
Requires: libdevkit = %version-%release

%description -n libdevkit-devel
Headers, libraries and API docs for DeviceKit

%prep
%setup -q
%patch -p1

%build
gtkdocize
%autoreconf
%configure \
	--libexecdir=%_libexecdir \
	--localstatedir=%_var \
	--disable-static
%make

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_var/run/devkit

%files
%doc AUTHORS NEWS README
%_sysconfdir/dbus-1/system.d/*.conf
%_sysconfdir/udev/rules.d/*.rules
%_bindir/*
%_libexecdir
%_datadir/dbus-1/interfaces/*.xml
%_datadir/dbus-1/system-services/*.service
%_mandir/man?/*
%dir %_var/run/devkit

%files -n libdevkit
%_libdir/*.so.*

%files -n libdevkit-devel
%_includedir/%name
%_libdir/*.so
%_pkgconfigdir/*.pc
%_datadir/gtk-doc/html/devkit

%changelog
* Sat Apr 04 2009 Valery Inozemtsev <shrek@altlinux.ru> 003-alt1
- 003

* Mon Dec 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 002-alt1
- initial release

